# Generated by Django 3.1.6 on 2021-02-07 09:49

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ViaApp',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('version', models.IntegerField()),
                ('os', models.CharField(choices=[('macos', 'MacOS'), ('linux', 'Linux'), ('windpws', 'Windows')], max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='ViaFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('file', models.FileField(upload_to='')),
                ('app', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='via_apps', to='file_service.viaapp')),
            ],
        ),
    ]
